<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net7.0-windows</TargetFramework>
    <OutputType>WinExe</OutputType>
    <Version>0.2.6</Version>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <UseWindowsForms>true</UseWindowsForms>
    <UseWPF>true</UseWPF>
    <ImportWindowsDesktopTargets>true</ImportWindowsDesktopTargets>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject>EliteBGSApplication</StartupObject>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Salus.ico</ApplicationIcon>
    <Title>BGS reporting and logging tool for Elite:Dangerous</Title>
    <Authors>nola</Authors>
    <Copyright>Copyright 2019 by Florian Stinglmayr</Copyright>
    <RepositoryUrl>https://git.aror.org/florian/EDBGS</RepositoryUrl>
    <PackageTags>ED;Elite Dangerous;BGS</PackageTags>
    <PackageProjectUrl>https://bgs.n0la.org</PackageProjectUrl>
    <PackageReadmeFile>README.md</PackageReadmeFile>
  </PropertyGroup>
  <ItemGroup>
    <Resource Include="main-page.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <None Update="README.md">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Update="docs\CHANGELOG.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="docs\main-page.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Content Include="LICENCE.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Salus.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="logo_v4.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\EliteBGS.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="EliteBGS.ico" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Extended.Wpf.Toolkit" Version="4.5.0" />
    <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
    <PackageReference Include="Microsoft.Windows.Compatibility" Version="7.0.0" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
    <PackageReference Include="Ookii.Dialogs.Wpf" Version="5.0.1" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\EDPlayerJournal\EDPlayerJournal.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Resources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
</Project>